> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fieldnode.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Batch Get Orgs

> Batch get organizations.



## OpenAPI

````yaml /api/openapi.json post /v1/orgs:batch-get
openapi: 3.1.0
info:
  title: Fieldnode API
  version: v1
  contact:
    name: Support
    url: https://fieldnode.com
    email: support@fieldnode.com
servers:
  - url: https://api.lab.fieldnode.dev
    description: Lab
    variables: {}
  - url: https://api.sandbox.fieldnode.dev
    description: Sandbox
    variables: {}
  - url: https://api.fieldnode.app
    description: Production
    variables: {}
security:
  - BearerAuth: []
tags:
  - name: Process
  - name: Standard
  - name: Material
  - name: Org
  - name: Upload
  - name: Part
  - name: Factory
  - name: Category
  - name: Criticality
  - name: Rfq
  - name: Offer
paths:
  /v1/orgs:batch-get:
    post:
      tags:
        - Org
      summary: Batch Get Orgs
      description: Batch get organizations.
      operationId: batchGetOrgs
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                ids:
                  type: array
                  items:
                    type: string
                  description: List of organization ids to load.
              required:
                - ids
      responses:
        '200':
          description: The request has succeeded.
          content:
            application/json:
              schema:
                type: object
                required:
                  - items
                properties:
                  items:
                    type: array
                    items:
                      $ref: '#/components/schemas/Org'
                    description: List of items.
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Org:
      type: object
      required:
        - id
        - name
        - roles
        - createdTime
        - modifiedTime
      properties:
        id:
          type: string
          description: Organization id.
        name:
          type: string
          description: Name of organization.
        country:
          type: string
          description: Country of the organization.
        orgNumber:
          type: string
          description: Country specific organization number.
        logoUrl:
          type: string
          description: Logo url of the organization.
        roles:
          type: array
          items:
            $ref: '#/components/schemas/OrgRole'
          description: Organization roles in the platform.
        createdTime:
          type: string
          format: date-time
          description: Time when the part was created.
        modifiedTime:
          type: string
          format: date-time
          description: Time when the part was modified.
    Error:
      type: object
      required:
        - status
        - message
      properties:
        status:
          type: integer
        message:
          type: string
    OrgRole:
      type: string
      enum:
        - CONSUMER
        - IP_OWNER
        - MANUFACTURER
        - SERVICE_PROVIDER
        - DISTRIBUTOR
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Token

````